"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Generator = void 0;
const constant = require("../type/constant");
class Generator {
    constructor() {
        this.template = constant.UNIQUE_STRING_TEMPLATE;
    }
    /**
     *
     * @param iconUrl your website icon url
     * @param websiteUrl your website url
     * @param websiteName your website name
     * @param uuid unique id given by betamax server
     * @returns {string} unique string that can be used to generate qr codes for connecting to betamax
     */
    generate(iconUrl, websiteUrl, websiteName, uuid) {
        this.setIconUrl(iconUrl);
        this.setWebsiteUrl(websiteUrl);
        this.setWebsiteName(websiteName);
        this.setUuid(uuid);
        const uniqueString = this.template;
        this.resetTemplates();
        return uniqueString;
    }
    resetTemplates() {
        this.template = constant.UNIQUE_STRING_TEMPLATE;
    }
    setIconUrl(iconUrl) {
        this.template = this.template.replace(constant.ICON, iconUrl);
    }
    setWebsiteUrl(websiteUrl) {
        this.template = this.template.replace(constant.URL, websiteUrl);
    }
    setUuid(uuid) {
        this.template = this.template.replace(constant.UUID, uuid);
    }
    setWebsiteName(websiteName) {
        this.template = this.template.replace(constant.NAME, websiteName);
    }
}
exports.Generator = Generator;
