import { connectResponse } from "../type/response";
import { wallet } from "../type/type";
export declare class Worker {
    private requestUrl;
    private pollUrl;
    private uuid;
    private uniqueStringGenerator;
    private wallets;
    private connectionStatus;
    private response;
    private cancelConnectionUrl;
    constructor(mainnet: boolean);
    /**
     * will return a empty array if there are no wallet objects.
     * @returns {wallet[]} an array of wallet object consisting of ```wallet_name``` and ```public_address```.
     */
    getWallets(): wallet[];
    /**
     * @return {string} unique string that can be used to generate qr
     * @param iconUrl your website icon url
     * @param websiteUrl your website url
     * @param websiteName your website name
     */
    request(iconUrl: string, websiteUrl: string, websiteName: string): Promise<string>;
    /**
     * will poll the server to connect.
     * @param timeout time the generated unique string will be valid in ```miliseconds```(default 30 seconds)
     * @param pollRate interval for each poll in miliseconds (default to 1 second)
     */
    connect(timeout?: number | "never", pollRate?: number): Promise<connectResponse>;
    private setUuid;
    private cancelConnection;
    private isPending;
    private setConnectionStatus;
    private setWallets;
    private setResponse;
    private checkConnection;
    private sleep;
    private getBodyData;
    private getExpiry;
    private generateUniqueString;
}
//# sourceMappingURL=worker.d.ts.map